# Class `juce.FillType`

Fill Type.

Is a pointer to a JUCE FillType. Can be used by juce.Graphics for fill operations.

## Constructors

juce.FillType (Colour) | Constuct from a juce.Colour.
juce.FillType (Gradient) | Constuct from a juce.ColourGradient.

## Methods

juce.FillType:setOpacity (newOpacity) | Set Overall Opacity.

## Predefined values

juce.FillType.black |
juce.FillType.white |
juce.FillType.red |
juce.FillType.green |
juce.FillType.blue |

## Constructors

juce.FillType (Colour)
  Constuct from a juce.Colour.

  ### Parameters:

  - Colour juce.Colour
juce.FillType (Gradient)
  Constuct from a juce.ColourGradient.

  ### Parameters:

  - Gradient juce.ColourGradient

## Methods

juce.FillType:setOpacity (newOpacity)
  Set Overall Opacity.

  ### Parameters:

  - newOpacity

## Predefined values

juce.FillType.black
juce.FillType.white
juce.FillType.red
juce.FillType.green
juce.FillType.blue

generated by LDoc 1.4.2